Subject: Re: bug#57385: 28.1.91; project-find-regexp fails over tramp

From: Michael Albinus <[email-masked]>
Date: Sat, 27 Aug 2022 07:50:14 +0200

Dmitry Gutov <[email-masked]> writes:

Hi Dmitry,

>> There is another trap, Tramp sets already the connection-local variable
>> shell-file-name to "/bin/sh". The user must overwrite this (or Tramp
>> must be pimped up to take whatever the user declares as "remote-shell").
>
> Perhaps that's the value which is needed in this particular scenario?
> E.g., no bash installed on that system.

In general, "/bin/sh" is a good idea. But André uses an Android device,
running termux. "/bin/sh" doesn't exist there. One can use
"/system/bin/sh" or "/data/data/com.termux/files/usr/bin/sh" (I believe,
haven't checked the latter).

Best regards, Michael.